Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.endpoint
Class ClientCallback

    java.lang.Object
      org.apache.cxf.endpoint.ClientCallback

All Implemented Interfaces:
  java.util.concurrent.Future<java.lang.Object[]>

    public class ClientCallback

extends java.lang.Object
implements java.util.concurrent.Future<java.lang.Object[]>

Field Summary
`protected boolean` | `cancelled`
`protected java.util.Map<java.lang.String,java.lang.Object>` | `context`
`protected boolean` | `done`
`protected java.lang.Throwable` | `exception`
`protected java.lang.Object[]` | `result`
`protected boolean` | `started`

Constructor Summary
`ClientCallback()`

Method Summary
`boolean` | `cancel(boolean mayInterruptIfRunning)`
`java.lang.Object[]` | `get()`
`java.lang.Object[]` | `get(long timeout, java.util.concurrent.TimeUnit unit)`
`java.util.Map<java.lang.String,java.lang.Object>` | `getResponseContext()`
`void` | `handleException(java.util.Map<java.lang.String,java.lang.Object> ctx, java.lang.Throwable ex)` If processing of the incoming message results in an exception, this method is called with the resulting exception.
`void` | `handleResponse(java.util.Map<java.lang.String,java.lang.Object> ctx, java.lang.Object[] res)` If the processing of the incoming message proceeds normally, this method is called with the response context values and the resulting objects.
`boolean` | `isCancelled()`
`boolean` | `isDone()`
`void` | `start(Message msg)` Called when a message is first received prior to any actions being applied to the message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### context

    protected java.util.Map<java.lang.String,java.lang.Object> context

### result

    protected java.lang.Object[] result

### exception

    protected java.lang.Throwable exception

### done

    protected boolean done

### cancelled

    protected boolean cancelled

### started

    protected boolean started

Constructor Detail

### ClientCallback

    public ClientCallback()

Method Detail

### start

    public void start(Message msg)

  Called when a message is first received prior to any actions being applied to the message. The InterceptorChain is setup so modifications to that can be done.

### handleResponse

    public void handleResponse(java.util.Map<java.lang.String,java.lang.Object> ctx,
                               java.lang.Object[] res)

  If the processing of the incoming message proceeds normally, this method is called with the response context values and the resulting objects. The default behavior just stores the objects and calls notifyAll to wake up threads waiting for the response.

  Parameters:
    `ctx` -
    `res` -

### handleException

    public void handleException(java.util.Map<java.lang.String,java.lang.Object> ctx,
                                java.lang.Throwable ex)

  If processing of the incoming message results in an exception, this method is called with the resulting exception. The default behavior just stores the objects and calls notifyAll to wake up threads waiting for the response.

  Parameters:
    `ctx` -
    `ex` -

### cancel

    public boolean cancel(boolean mayInterruptIfRunning)

  Specified by:
    `cancel` in interface `java.util.concurrent.Future<java.lang.Object[]>`

### getResponseContext

    public java.util.Map<java.lang.String,java.lang.Object> getResponseContext()
                                                                        throws java.lang.InterruptedException,
                                                                               java.util.concurrent.ExecutionException

  Throws:
    `java.lang.InterruptedException`
    `java.util.concurrent.ExecutionException`

### get

    public java.lang.Object[] get()
                           throws java.lang.InterruptedException,
                                  java.util.concurrent.ExecutionException

  Specified by:
    `get` in interface `java.util.concurrent.Future<java.lang.Object[]>`
  Throws:
    `java.lang.InterruptedException`
    `java.util.concurrent.ExecutionException`

### get

    public java.lang.Object[] get(long timeout,
                                  java.util.concurrent.TimeUnit unit)
                           throws java.lang.InterruptedException,
                                  java.util.concurrent.ExecutionException,
                                  java.util.concurrent.TimeoutException

  Specified by:
    `get` in interface `java.util.concurrent.Future<java.lang.Object[]>`
  Throws:
    `java.lang.InterruptedException`
    `java.util.concurrent.ExecutionException`
    `java.util.concurrent.TimeoutException`

### isCancelled

    public boolean isCancelled()

  Specified by:
    `isCancelled` in interface `java.util.concurrent.Future<java.lang.Object[]>`

### isDone

    public boolean isDone()

  Specified by:
    `isDone` in interface `java.util.concurrent.Future<java.lang.Object[]>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF